EyeTV funktioniert nicht mehr

10. Nov. 2019 00:07 Uhr - xtcopd

Meine EyeTV-Software startet auf einmal nicht mehr!
Folgender Fehler wird ausgegeben:

------------------

Process:               EyeTV Lite [1951]
Path:                  /Applications/EyeTV Lite.app/Contents/MacOS/EyeTV Lite
Identifier:            com.elgato.eyetv
Version:               1.4.3 [7526] (1.4.3 [7526])
Code Type:             X86 (Native)
Parent Process:        ??? [1]
Responsible:           EyeTV Lite [1951]
User ID:               503

Date/Time:             2019-11-09 23:40:57.999 +0100
OS Version:            Mac OS X 10.14.6 (18G103)
Report Version:        12
Anonymous UUID:        7F2B4A0D-B4C7-A556-3930-FFA5F4130125

Time Awake Since Boot: 1800 seconds

System Integrity Protection: disabled

Crashed Thread:        0

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Reason:    DYLD, [0x2] Wrong architecture

--------------------

Auch meine andere EyeTV-Software 3.6.9 (7528) hat den gleichen Fehler…

Bei der Systemversion bin ich mir nicht sicher, ob ich auch das neueste Update habe:
Gibt es da schon eine andere Version als 10.14.6 (18G103)?
Mit dem Mojave-Patcher ist das so eine Sache, weil man nur umständlich feststellen kann, welches Build man da eigentlich herunterladet. Das hatte ich vor 3 Tagen gemacht und das Betriebssystem neu installiert.
Was mache ich falsch?

Catalina? da läuft eyeTV 3.6.9 nicht mehr (da 32bit), nimm eyeTV 4 beta (64 bit). Weitere Hinweise finden sich im aktuellen Forenthema Erfahrungen mit eyeTV 4.0

Steht ja im Beitrag.

Der Mojave Patcher lädt meines Wissens immer den aktuellsten Build, der aktuell 18G1012 ist.

Als erstes würde ich einen sauberen Neustart, ggf. Shift Boot, probieren.

…mal vom letzen Backup gestartet. Da läuft EyeTV einwandfrei!
Sowohl auf dem Backup, als auch auf dem Rechner liegt der Build 18G103.
Ich werde jetzt noch mal mit dem Mojave-Patcher die letzte Systemversion herunterladen.
Mal sehen, ob es dann Build 18G1012 ist.

Einfach den Patcher nochmal aufrufen. Der liegt unter Programme/Dienstprogramme. Wenn der erscheint "View Installed Updates" anklicken und dann auf "Re-install All" klicken. Nach dem Neustart geht Eyetv wieder. Der 18G1012 kommt per Sicherheitsupdate ! Der ist nicht im großen Installer drin ! Ich konnte nach dem installieren des Sicherheitsupdates nicht mehr booten ! Mußte mit dem STick nochmal booten und dann alle passenden Patches für dein Mac nochmal installieren, dann Neustart und er bootet, dann mußte ich wiedrum den Patch Updater unter Dienstprogramme (Im gestartenten System ! Nicht USB Stick) aufrufen und alle Patches installieren. Danach hatte ich alle Updates und 18G1012 und Eyetv läuft, bisher auch alles andere.

läuft auch unter aktuellem Mojave. Evtl. einen Versuch wert.

Das Problem liegt bei User xtcopd, an dem Grafikkarten Treiber, da er ja ein gepatchtes Mojave nutzt. Da läuft ohne Patch auvh V4 nicht. Außerdem scheintes ja so das man V4 neu kaufen muß, da es nur befristete Beta Keys gibt.

Das Update habe ich mir heruntergeladen.
Wie installiere ich es denn, wenn es sagt, dass es nicht für meinen Computer geeignet ist…? (Diese Software wird von deinem System nicht unterstützt.)
Auch über den Patcher?

Die Systemsoftware habe ich mir heute nochmals über den Patcher heruntergeladen und installiert.
Läuft ja auch, ist aber immer noch Build 18G103.

Gruß
Dieter

EyeTV läuft jetzt wieder, nachdem ich den Patch Updater in Dienstprogramme aufgerufen habe!
Danke für den Tipp!
Jetzt müsste nur noch das Security Update laufen…

Gruß
Dieter

Moin Dieter,
bei mir tauchte das Sicherheitsupdate kurz nach der Installation des Systems normal im Softwareupdate auf. Also normaler Apple Weg. Das Dateisystem ist auch wirklich APFS ? Sonst wird das nichts mit den Updates !
gruß klaus

…habe ich nicht installiert!
Platte wurde mit Mac OS Extended (journaled) formatiert.
Soll ich das ändern? Dann wird es etwas umfangreicher…
Ich wollte das schon mal machen, aber die Arbeit hat mich abgeschreckt!
Gruß
Dieter

dann werde ich mal loslegen…
Danke noch mal!